Redmine - Patch #2132

Patch to prevent blocked issues from being closed
2008-11-04 21:58 - Steven Chanin

Status: Closed Start date: 2008-11-04
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 0.9.0

Description

| noticed issue #1740 and decided to try to contribute by coming up with a patch. My proposed solution is that if an issue is blocked
by another issue, then the available statuses should only include statuses that are NOT closed statuses (e.g. New, Assigned,
Resolved, Feedback). If the issue is NOT blocked by another issue, then closed statuses (e.g. Closed, Rejected) will also appear in
the drop down list.

The patch also includes updates for unit tests and fixtures.

Related issues:

Related to Redmine - Defect #1740: Actually block issues from closing when re... Closed 2008-08-04
Related to Redmine - Feature #3364: Blocked or Following Issues New 2009-05-15
History

#1 - 2009-03-29 23:47 - Mischa The Evil

FWIW: this solution still works on current trunk at r2641. Great!

#2 - 2009-07-04 08:42 - Marius Garbea

(this is a question for the Redmine team)
How come this patch was not integrated in the latest release?
| mean: why did you guys offered the feature of marking an issue as blocked, if it isn't actually?

Software should be robust as a German car, and fancy as an Italian one. No offense, but advertising a feature that does not work but looks well - this
is a French car.

#3 - 2009-07-04 14:07 - Jean-Philippe Lang
- Status changed from New to Closed

- Target version set to 0.9.0

Patch applied with changes in r2800.
Thanks.

Files

cant_close_blocked_issues.diff 4.1 KB 2008-11-04 Steven Chanin

2025-08-23 1/1



https://www.redmine.org/issues/1740
https://www.redmine.org/projects/redmine/repository/svn/revisions/2641
https://www.redmine.org/projects/redmine/repository/svn/revisions/2800
http://www.tcpdf.org

